'use strict';

var _require = require('immutable'),
    List = _require.List,
    _require2 = require('../actions'),
    SET_IN = _require2.SET_IN,
    PUSH_IN = _require2.PUSH_IN,
    DELETE_IN = _require2.DELETE_IN,
    UPDATE_EDITPATH = _require2.UPDATE_EDITPATH;

module.exports = function () {
  var editPath = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : List();
  var action = arguments[1];

  switch (action.type) {

    case SET_IN:
      return action.editPath || editPath;

    case PUSH_IN:
      return action.editPath || editPath;

    case DELETE_IN:
      return editPath.isEmpty() ? editPath : editPath.pop();

    case UPDATE_EDITPATH:
      return action.path;

    default:
      return editPath;
  }
};