'use strict';

var _require = require('../actions'),
    UPDATE_INPUT = _require.UPDATE_INPUT,
    UPDATE_EDITPATH = _require.UPDATE_EDITPATH,
    SET_IN = _require.SET_IN,
    PUSH_IN = _require.PUSH_IN;

module.exports = function () {
  var input = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
  var action = arguments[1];

  switch (action.type) {

    case UPDATE_INPUT:
    case UPDATE_EDITPATH:
    case SET_IN:
    case PUSH_IN:
      return action.input || '';

    default:
      return input;
  }
};