'use strict';

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _toArray2 = require('babel-runtime/helpers/toArray');

var _toArray3 = _interopRequireDefault(_toArray2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var React = require('react'),
    _require = require('rebass'),
    Block = _require.Block; // eslint-disable-line no-unused-vars


var FlexRow = function FlexRow(_ref) {
  var children = _ref.children,
      _ref$margins = _ref.margins,
      margins = _ref$margins === undefined ? { ml: 1, mt: 1 } : _ref$margins,
      props = (0, _objectWithoutProperties3.default)(_ref, ['children', 'margins']);

  var _React$Children$toArr = React.Children.toArray(children).reverse(),
      _React$Children$toArr2 = (0, _toArray3.default)(_React$Children$toArr),
      last = _React$Children$toArr2[0],
      rest = _React$Children$toArr2.slice(1);

  return React.createElement(
    Block,
    (0, _extends3.default)({
      className: 'FlexRow',
      mt: 2
    }, props, {
      style: { display: 'flex',
        flexDirection: 'row',
        flexWrap: 'wrap',
        lineHeight: 2
      } }),
    rest.reverse().map(function (e) {
      return React.cloneElement(e, margins);
    }),
    React.cloneElement(last, (0, _extends3.default)({}, margins, { style: { flex: 1 } }))
  );
};

module.exports = FlexRow;