'use strict';

var _require = require('../actions'),
    NEW_NAMED_NODE = _require.NEW_NAMED_NODE,
    UPDATE_ON_NEW_NAMED_NODE = _require.UPDATE_ON_NEW_NAMED_NODE;

module.exports = function () {
  var onNewNamedNode = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : function () {};
  var action = arguments[1];

  switch (action.type) {

    case NEW_NAMED_NODE:
      onNewNamedNode(action.node);
      return onNewNamedNode;

    case UPDATE_ON_NEW_NAMED_NODE:
      return action.onNewNamedNode || onNewNamedNode;

    default:
      return onNewNamedNode;
  }
};