'use strict';

var _require = require('redux'),
    createStore = _require.createStore,
    _require2 = require('redux-devtools-extension'),
    composeWithDevTools = _require2.composeWithDevTools,
    reducer = require('../reducers');

module.exports = function () {
    var initialState = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
    return createStore(reducer, initialState, composeWithDevTools());
};